Blog
et dernières actualités

Du contenu autour de l'économie sociale et solidaire (ESS), des réflexions et astuces de développement Drupal.

Vues

Rendre compatible un module Drupal 8 pour Drupal 9

Si vous avez pu travailler sur des projets Drupal 9, vous vous êtes peut être retrouvés dans la situation suivante : le module dont j'ai besoin fonctionne sous Drupal 8, n'est pas compatible avec Drupal 9 mais un patch corrigeant le problème existe dans une issue sur d.o.

Si vous vous contentez d'appliquer votre patch avec Composer, cela ne résoudra pas votre problème. Les contraintes de version sont vérifiées avant d'appliquer les patches et votre module ne sera donc pas considéré comme compatible avec Drupal 9 aux yeux de Composer.

Cet article vous explique comment contourner le problème jusqu'à ce que le patch soit commité !

Les nouveautés de Drupal 8.4.0

Toujours dans les temps, la nouvelle version mineure de Drupal, 8.4.0, est disponible depuis le 4 octobre 2017. Pour la première fois depuis deux ans, cette mise à jour contient des éléments qui pourront casser la rétrocompatibilité de certains sites.